curl --request POST \
--url https://dev.flextell.ai/api/v1/tickets \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"customer_id": 2,
"description": "<string>",
"type": "general",
"status": "open",
"related_person_id": 2
}
'{
"success": "<string>",
"data": {
"id": 123,
"code": "<string>",
"description": "<string>",
"status": "<string>",
"type": "<string>",
"position": "<string>",
"creation_type": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"deleted_at": "2023-11-07T05:31:56Z",
"customer": {
"id": 123,
"first_name": "<string>",
"last_name": "<string>",
"phone_number": "<string>",
"email": "<string>"
},
"related_person": {
"id": 123,
"name": "<string>"
}
}
}The access token received from the authorization server in the OAuth 2.0 flow.
Tenant identifier. Send the Tenant ID in the X-Tenant header to scope API requests to a specific tenant.
The customer identifier.
x >= 1The ticket description.
5000The ticket type.
general, complaint, side_effect, request, suggestion The ticket status (defaults to open).
open, processing, resolved, closed The assigned user identifier.
x >= 1curl --request POST \
--url https://dev.flextell.ai/api/v1/tickets \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"customer_id": 2,
"description": "<string>",
"type": "general",
"status": "open",
"related_person_id": 2
}
'{
"success": "<string>",
"data": {
"id": 123,
"code": "<string>",
"description": "<string>",
"status": "<string>",
"type": "<string>",
"position": "<string>",
"creation_type": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"deleted_at": "2023-11-07T05:31:56Z",
"customer": {
"id": 123,
"first_name": "<string>",
"last_name": "<string>",
"phone_number": "<string>",
"email": "<string>"
},
"related_person": {
"id": 123,
"name": "<string>"
}
}
}